Topics
Visibility, citations, share of voice and sentiment per topic and prompt.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidq?stringMatches topic names or prompt text
length <= 200engines?stringComma-separated engine slugs
length <= 500types?stringComma-separated prompt types
length <= 200intents?stringComma-separated prompt intents
length <= 200from?stringAnswered on or after this UTC date; omit for all time
^\d{4}-\d{2}-\d{2}$to?stringAnswered on or before this UTC date
^\d{4}-\d{2}-\d{2}$sort?string"visibility""visibility""name""citations""position""voice""sentiment""prompts""rank"order?string"desc""asc""desc"page?integer1 <= value1pageSize?integer1 <= value <= 5025One page of topics with their prompts and tracked brands
application/jsonitems*array<>total*integerpage*integerpageSize*integerbrands*array<>curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/topics/insights'{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "color": "string", "metrics": { "visibility": 0, "citationShare": 0, "position": 0, "shareOfVoice": 0, "sentiment": 0, "responses": 0 }, "prompts": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "type": "string", "intent": "string", "countryCode": "string", "metrics": { "visibility": 0, "citationShare": 0, "position": 0, "shareOfVoice": 0, "sentiment": 0, "responses": 0 } } ], "brands": [ { "key": "string", "visibility": 0, "citationShare": 0, "position": 0, "shareOfVoice": 0, "sentiment": 0, "mentions": 0 } ], "rank": 0 } ], "total": 0, "page": 0, "pageSize": 0, "brands": [ { "key": "string", "name": "string", "domain": "string", "logoUrl": "string", "isBrand": true } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/topics/insights'{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"color": "string",
"metrics": {
"visibility": 0,
"citationShare": 0,
"position": 0,
"shareOfVoice": 0,
"sentiment": 0,
"responses": 0
},
"prompts": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"text": "string",
"type": "string",
"intent": "string",
"countryCode": "string",
"metrics": {
"visibility": 0,
"citationShare": 0,
"position": 0,
"shareOfVoice": 0,
"sentiment": 0,
"responses": 0
}
}
],
"brands": [
{
"key": "string",
"visibility": 0,
"citationShare": 0,
"position": 0,
"shareOfVoice": 0,
"sentiment": 0,
"mentions": 0
}
],
"rank": 0
}
],
"total": 0,
"page": 0,
"pageSize": 0,
"brands": [
{
"key": "string",
"name": "string",
"domain": "string",
"logoUrl": "string",
"isBrand": true
}
]
}